On Sun, Jun 29, 2008 at 04:04:36PM -0400, Matthew Donovan wrote:
> > Hi,
> >
> > I'm getting since my last update an error message in xscreensaver:
> > glslideshow: couldn't create GL context
> >
> > Actually I'm not able to use any OpenGL screensaver anymore. OpenGL is
> > running
> > fine, I'm using composite options and gears program run at 400 FPS. "Load
> > GLX"
> > is activated in xorg.conf, that's why I don't understand.
> >
> snipped the email since it was a bit long but with the nvidia binary
> driver you do not have to load glx since the nvidia binary has it's own
> glx setup. which you seem to be using nvidia binary driver.

In addition to Matthew's suggestion, you might do well to force a 
reinstall of the nvidia-driver port, to ensure that its own GL libs
are available, instead of any installed by other ports.

Note also that if you update your system, you should reinstall the
port, as it needs to be compiled against the source for the running
kernel. Not recompiling it in the event you carry out a buildworld/
buildkernel cycle, etc, will likely lead to strange failures of the 
driver.

Dan

-- 
Daniel Bye
                                                                     _
                                              ASCII ribbon campaign ( )
                                         - against HTML, vCards and  X
                                - proprietary attachments in e-mail / \

Attachment: pgp2QEN8dTcUe.pgp
Description: PGP signature

Reply via email to